## hildon-plugins-settings 0.0.10-1

=== debian/changelog ===
hildon-plugins-settings (0.0.10-1) sardine; urgency=low

  * src/hildon-plugin-config-parser.c:
  - add support for X-Text-Domain, so that the domain used for
  translating the applet name can be given in the desktop file.
  Fixes: NB#79321

 -- Johan Bilien <johan.bilien@nokia.com>  Tue, 19 Feb 2008 13:13:31 +0200

hildon-plugins-settings (0.0.9-2) feisty; urgency=low

  * src/hildon-plugin-config-parser.c:
  (hildon_plugin_config_parser_save):
  * src/hildon-plugin-settings-dialog.c:
  (hildon_plugin_settings_dialog_response):
  - Fixed crashes when full memory. Fixes: N#64547 

 -- Moises Martinez <moises.martinez@nokia.com>  Wed,  3 Oct 2007 17:58:02 +0300

hildon-plugins-settings (0.0.9-1) sardine; urgency=low

  * src/hildon-plugin-config-parser.c:
  (hildon_plugin_config_parser_save):
  * src/hildon-plugin-settings-dialog.c:
  (hildon_plugin_settings_dialog_row_inserted_cb),
  (hildon_plugin_settings_dialog_constructor),
  (hildon_plugin_settings_dialog_response):
  - Fixed some pausible cases for crashings. Fixes: NB#64547
  * src/hildon-plugin-settings.c: (_sb_update_status):
  - Added a break when updating the status for statusbar plugins.

  * src/hildon-plugin-cell-renderer-button.c,
  src/hildon-plugin-settings-dialog.c
  (hildon_plugin_settings_dialog_init),
  src/hildon-plugin-config-parser.c, src/hildon-plugin-settings.c: never
  re-bind the gettext domain and explicitly use the plugin-specific
  domain on all translatable messages in order to avoid braking control
  panel translations (as the plugin runs in the same process than
  control panel). Fixes: NB#70144. 

 -- Moises Martinez <moises.martinez@nokia.com>  Mon,  1 Oct 2007 14:00:31 +0300

hildon-plugins-settings (0.0.8-1) sardine; urgency=low

  * src/hildon-plugin-settings-dialog.c:
  (hildon_plugin_settings_dialog_change_drag_icon_cb),
  (hildon_plugin_settings_dialog_row_inserted_cb):
  - Select after dragging. Fixes: NB#68995
  * configure.ac: 0.0.8

  * src/hildon-plugin-config-parser.c:
  (hildon_plugin_config_parser_save):
  - g_strdup error messages.
  * src/hildon-plugin-settings-dialog.c:
  (hildon_plugin_settings_dialog_response):
  - Don't the file we couldn't save.
  Fixes: NB#64547

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 13 Sep 2007 16:42:25 +0300

hildon-plugins-settings (0.0.7-1) sardine; urgency=low

  * src/hildon-plugin-settings-dialog.c:
  - set a insensitive message on the OK button
  - set the ok button to insensitive if less plugins than required
  are selected.
  Fixes: NB#63513

  * src/hildon-plugin-settings-dialog.c
  (hildon_plugin_settings_dialog_constructor,
  hildon_plugin_settings_dialog_switch_nb_cb): correctly select first
  item on page switch. Fixes: NB#64886.

 -- Johan Bilien <johan.bilien@nokia.com>  Fri, 31 Aug 2007 16:13:38 +0300

hildon-plugins-settings (0.0.6-1) unstable; urgency=low

  * configure.ac: 0.0.6
  * src/hildon-plugin-cell-renderer-button.c:
  (hildon_plugin_cell_renderer_button_constructor):
  - "Organise button is localized".
  * src/hildon-plugin-settings-dialog.[ch]:
  (hildon_plugin_settings_dialog_rename_tab):
  - new method for having different name for tabs
  * src/hildon-plugin-settings.c: (execute):
  - Fixed localization of tabs. Fixes: NB#64281

 -- Moises Martinez <moises.martinez@nokia.com>  Mon, 30 Jul 2007 15:26:05 +0300

hildon-plugins-settings (0.0.5-2) unstable; urgency=low

  * src/hildon-plugin-settings.c: (execute):
  - Free DBus stuff.

 -- Moises Martinez <moises.martinez@nokia.com>  Wed, 18 Jul 2007 15:19:41 +0300

hildon-plugins-settings (0.0.5-1) unstable; urgency=low

  * configure.ac:
  * debian/control:
  * src/Makefile.am:
  - Added hildon-help
  * src/hildon-plugin-settings.c: (_cell_mandatory_data_func),
  (execute):
  - Don't show checkboxes in tasknavigator if there are only 3 plugins.
  Fixes: NB#63295.
  - Include help dialog support. Fixes: NB#62878

  * src/hildon-plugin-cell-renderer-button.c:
  (hildon_plugin_cell_renderer_button_activate):
  - Set transient for parent dialog window. Fixes: NB#63366
  * src/hildon-plugin-settings-dialog.[ch]:
  (hildon_plugin_settings_dialog_new):
  - Set transient for parent.
  - Set again as MODAL.
  * src/hildon-plugin-settings.c: (execute):
  - Parent is user data. Fixes: NB#62322

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 17 Jul 2007 16:29:26 +0300

hildon-plugins-settings (0.0.4-2) unstable; urgency=low

  * src/Makefile.am: Fixed marshalers creation. 

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 12 Jul 2007 17:34:25 +0300

hildon-plugins-settings (0.0.4-1) unstable; urgency=low

  * debian/control:
  * configure.ac:
  - Added dbus-1-glib
  * src/Makefile.am:
  - added marshalers creation
  * src/hd-marshalers.list:
  - new file with marshalers needed
  * src/hildon-plugin-config-parser.c:
  (hildon_plugin_config_parser_desktop_file):
  - FLAG set by default to FALSE
  * src/hildon-plugin-settings-dialog.[ch]:
  (hildon_plugin_settings_dialog_get_model_by_name):
  - new method
  * src/hildon-plugin-settings.c: (_sb_visibility_filter),
  (_sb_cell_condition_data_func), (_sb_update_status),
  (_sb_update_flag), (execute):
  - Implemented visibility and dimmed of different statusbar plugins
  conditional, temporal and permanent.

  * src/hildon-plugin-module-settings.c:
  - pass the GModule to the callback so one can use GTypeModule
  * data/hildon-plugins-settings.desktop.in:
  - added X-Text-Domain key. Fixes: NB#62315

 -- Moises Martinez <moises.martinez@nokia.com>  Thu, 12 Jul 2007 14:57:59 +0300

hildon-plugins-settings (0.0.3-1) unstable; urgency=low

  * src/hildon-plugin-settings-dialog.c:
  - Fixed a problem when there is a limit for items to be selected.
  Fixes: NB#62312.
  - Dimmed proper arrow when at the beginning or the end of the list.
  Fixes: NB#62363
  - Select the first item in the list when changing from one tab to
  another. Fixes: NB#62360
  - Dialog is no longer system modal. Fixes: NB#62322


